SDL_GetRenderOutputSize(3)

NAME
SDL_GetRenderOutputSize - Get the output size in pixels of a rendering context.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_GetRenderOutputSize(SDL_Renderer *renderer, int *w, int *h);

DESCRIPTION
This returns the true output size in pixels, ignoring any render targets or logical size and presentation.

For the output size of the current rendering target, with logical size adjustments, use SDL_GetCurrentRenderOutputSize() instead.

FUNCTION PARAMETERS

renderer
    the rendering context.

w   a pointer filled in with the width in pixels.

h   a pointer filled in with the height in pixels.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetCurrentRenderOutputSize(3)